跳至內容

Bria Virtual Try-On (FIBO-Edit-1.5)

整合

模型 id bria/fibo-edit-1.5/virtual-try-on
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit-1.5/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.04 40 API 點數 · ≈ ₽4.29 在此頁面執行

取得 API 金鑰
Bria AI 圖像編輯 #virtual-try-on#fashion-tech#apparel#e-commerce

虛擬試穿,將人物照片穿上 1 至 3 張服裝或配件影像中的物品

Bria AI · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填
拖放檔案,或

穿戴者照片;不變更背景、人物姿勢、身形、頭髮、臉部或身分。

•必填
拖放檔案,或 · 最多 3 個

服裝或配件參考,用於指定替換人物目前穿戴的相應物品。請提供一至三張圖像;其物品會以圖層方式一同穿戴,重現指定的閉合方式、比例、布料、色彩、材質、圖案位置與印花位置。

aspect_ratio

輸出比例預設採用人物照片的比例,除非在此指定比例。

進階 instruction · seed

圖層順序或要保留物品的可選自訂。這些指示會補充而非取代目前使用的完整試穿指示。

預設 5555

重複使用且不變更任何輸入時,可使圖像重現的隨機性種子。

POST /run/bria/fibo-edit-1.5/virtual-try-on?wait=20 報價 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit-1.5/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Bria Virtual Try-On (FIBO-Edit-1.5)

編輯人物照片,使主體穿戴 `garment_image_urls` 中的服裝或配件;該參數接受一至三張同時穿戴並分層的影像。必須提供 `person_image_url`,且保留人物身分、臉部、姿勢與背景。選用的 `instruction` 可釐清分層方式,`aspect_ratio` 預設採用人物影像的比例。

參數

名稱類型 預設值允許值 說明
person_image_url必填
類型url · image
穿戴者照片;不變更背景、人物姿勢、身形、頭髮、臉部或身分。
garment_image_urls必填
類型url[] · image
≤ 3 個項目
服裝或配件參考,用於指定替換人物目前穿戴的相應物品。請提供一至三張圖像;其物品會以圖層方式一同穿戴,重現指定的閉合方式、比例、布料、色彩、材質、圖案位置與印花位置。
instruction選填
類型string | null
圖層順序或要保留物品的可選自訂。這些指示會補充而非取代目前使用的完整試穿指示。
aspect_ratio選填
類型enum
1:12:33:23:44:34:55:49:1616:9
輸出比例預設採用人物照片的比例,除非在此指定比例。
seed選填
類型integer
預設值5555
重複使用且不變更任何輸入時,可使圖像重現的隨機性種子。
必填

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit-1.5/virtual-try-on",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "structured_instruction": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
image
object {url, content_type, file_name, file_size, width, height}編輯後的結果;指定 aspect_ratio 時遵循其比例,否則遵循來源圖像。
images
array of object {url, content_type, file_name, file_size, width, height}使用舊版 Fibo Edit API 路由之用戶端的向後相容回應:清單中唯一項目為同一張圖像。
structured_instruction
object對簡述的擴展解讀,會以實際執行的結構化指示回傳。它同時納入內建指示與透過 `instruction` 提供的任何內容。

更多模型:圖像編輯

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/bria/fibo-edit-1.5/virtual-try-on.md. 所有模型與指南: https://doitong.com/developers/llms.txt